/* ------------------------------------------------------------------------------------------- */
/* Main */
.codlis {    
    width: 100%;
    height: 100%;
}

.codlis_out {
    margin: 10px;
    width: calc(100% - 20px);
    height: 95%;
}

/* ------------------------------------------------------------------------------------------- */
/* Header */
.codlis_head {
    margin: 10px;

    width: calc(100% - 20px);
    height: 50px;

    background-color: var(--color-back-box1);

    border: 1px solid var(--color-bord1);
    border-radius: 5px;
}

.codlis_head_grd1 {
    display: grid;
    grid-template-columns:
        10px 80px 10px  /* Refresh */
        10px 0px 0px    /* chk SEL */
        35px 10px 10px 10px /* SEL */
        10px
        55px 10px 10px 10px /* CONF */
        10px
        45px 10px 10px 10px /* SIM */
        10px
        45px 10px 10px 10px /* inv */
        ;

    column-gap: 10px;
}

#id_excel_codlis {
    margin-top: 10px;
}


/* ------------------------------------------------------------------------------------------- */
/* Main */
.codlis_main {
    margin: 10px;

    width: calc(100% - 20px);
    height: calc(100% - 20px);
}

.codlis_main_grd1 { 
    margin-bottom: 10px;

    /* width: 100%; */

    height: calc(100% - 10px);

    background-color: var(--color-back-box1);

    border: 1px solid var(--color-bord1);
    border-radius: 5px;

    overflow-x: auto; /* 위 아래 모두 있어야 함 */
    overflow-y: auto; /* 위 아래 모두 있어야 함 */
}

.codlis_main_tbl_out {
    margin: 10px;

    width: calc(100% - 20px);
    height: calc(100% - 20px);

    background-color: var(--color-back-box1);

    overflow-x: auto; /* 위 아래 모두 있어야 함 */
    overflow-y: auto; /* 위 아래 모두 있어야 함 */
}

/* .codlis_main_tbl tbody tr td {
    cursor: none;
} */

/* .codlis_main_tbl .con_E {
    cursor: pointer;
} */

/* ---------------------------------------------- */

.codlis_main_tbl thead tr th svg {
    position: absolute;
    
    cursor: pointer;
    fill : var(--color-updown);
    
    width: 10px;
    margin-left: 3px;    

    border: none;
}

.codlis_main_tbl thead tr th .search-input {      
    margin: auto;
    width: 90%;
    font-size: 12px;
    font-weight: 700;

    text-align: left;    
    
    background-color: var(--color-back-search);

    /* padding-left: 14px;     */
    padding-left: 1px;    
    border: none;
    outline: none;
}

.codlis_main_tbl thead tr th input::placeholder {    
    color: var(--color-font-search2);
}

.codlis_main_tbl thead .col_Chk,
.codlis_main_tbl thead .col_No {
    text-align: left;
    padding-left: 5px;
}

.codlis_main_tbl thead .col_YN {
    text-align: center;
}

.codlis_main_tbl thead .sortStr {
    text-align: left;
    padding-left: 7px;
}

.codlis_main_tbl .col_Name {
    width: 150px;
}

.codlis_main_tbl thead tr .col_Chk svg {
    margin-top: 4px;
}

.codlis_main_tbl thead tr .col_Name .search-input,
.codlis_main_tbl thead tr .col_DT .search-input {
    width: 80%;
}

.codlis_main_tbl thead tr .col_Name svg,
.codlis_main_tbl thead tr .col_DT svg {
    margin-top: 7px;
}

.codlis_main_tbl tbody .col_Dept {
    font-size: 9px;
    padding-left: 5px;
}

/* ------------------------------------------------------------------------------------------- */
.codlis_main_tbl tbody .col_E {
    background-color: var(--color-back-sel3);
    box-shadow: inset 1px 1px 3px var(--color-back-con0);
}

/* .col_Click {
    cursor: pointer;    
} */

#id_btn_LisUpd {
    margin-top: 0px;
    margin-bottom: 0px;
    margin-left: 0px;
    margin-right: 0px;
    
    width: 59px;
    height: 25px;

    text-align: center;
    font-size: 12px;
    font-weight: bold;
}

#id_spn_codlis_exg01 {
    text-align: right;
}

#id_spn_codlis_cost01,
#id_spn_codlis_inve01,
#id_spn_codlis_earn01,
#id_spn_codlis_avg01 {
    text-align: right;
}

.codlis_main_tbl tbody .col_YN {
    font-size: 13px;
    font-weight: 900;
}

.codlis_main_tbl tbody .col_logic {
    font-size: 11px;
    font-weight: 700;
}

.codlis_main_tbl tbody .col_ninv {
    color : var(--color-yellow1);
    font-size: 11px;
    font-weight: 800;
}

.codlis_main_tbl tbody .col_meta {
    font-size: 10px;
    /* font-weight: 600; */
}

.codlis_main_tbl tbody .col_INV {
    font-size: 11px;
    font-weight: 700;
    color: var(--color-blue2);
}

.codlis_main_tbl tbody .col_STB,
.codlis_main_tbl tbody .col_STP {
    font-size: 12px;
    font-weight: 900;
    text-align: center;
}

.codlis_main_tbl tbody .col_Cnts2 {
    font-size: 11px;
    font-weight: 700;
}

.codlis_main_tbl tbody .col_Cnts {
    font-size: 11px;
    font-weight: 900;
}

.codlis_main_tbl .col_syn {
    width: 120px;
}

.codlis_main_tbl tbody .col_syn {
    padding-left: 5px;

    font-size: 11px;
    font-weight: 800;
}

.codlis_main_tbl tbody .col_SEL {
    color: var(--color-yellow1);
}

#id_spn_codlis_sel01,
#id_spn_codlis_conf01,
#id_spn_codlis_sim01,
#id_spn_codlis_inv01 {
    text-align: right;
}

#id_spn_codlis_sel02,
#id_spn_codlis_conf02,
#id_spn_codlis_sim02,
#id_spn_codlis_inv02 {
    text-align: right;
}

#id_spn_codlis_sel03,
#id_spn_codlis_conf03,
#id_spn_codlis_sim03,
#id_spn_codlis_inv03 {
    text-align: right;
}

#id_spn_codlis_sel04,
#id_spn_codlis_conf04,
#id_spn_codlis_sim04,
#id_spn_codlis_inv04 {
    text-align: left;
}

#id_spn_codlis_sel02 {
    color: var(--color-yellow1);
}

#id_spn_codlis_inv02 {
    color: var(--color-blue1);
}